/**
 * @file
 * Main module JS file.
 */

(function (Drupal, $) {
  'use strict';
  Drupal.behaviors.mediaPixabay = {
    attach: function (context) {
      let eventType = 'click';
      if (window.PointerEvent) {
        eventType = 'pointerup';
      }

      $(document, context).on('keydown', '#pixabay-search-input', function (event) {
        if (event.keyCode === 13) {
          event.preventDefault();
          $('#pixabay-search', context).click();
        }
      });

      const submitButton = '#pixabay-submit-entities';
      const imageWrapper = '.pixabay-image-wrapper';
      $(document).on(eventType, imageWrapper, function () {
        $(this).find('.pixabay-image-check').click();
        if ($(this).hasClass('pixabay-selected-image')) {
          $(this).removeClass('pixabay-configuration-error');
        }
        $(this).toggleClass('pixabay-selected-image');

        const countOfSelectedImages = $(document, context).find('.pixabay-selected-image').length;
        if (countOfSelectedImages > 0) {
          $(document, context).find(submitButton).removeClass('visually-hidden');
        } else {
          $(document, context).find(submitButton).addClass('visually-hidden');
        }
      });
      $(document).on(eventType, submitButton, function () {
        $(imageWrapper).removeClass('pixabay-configuration-error');
      });
    }
  };
})(Drupal, jQuery, drupalSettings);
